CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000454CEGUIOtherpublic2011-05-27 11:252011-05-29 01:52
ReporterKulik 
Assigned ToKulik 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.8.0Fixed in Version0.8.0 
Summary0000454: PyCEGUI should be able to subscribeEvent with a callable
DescriptionRight now you have to use an awkward way to subscribe.

it should be possible to do this:
widget.subscribeEvent("EventName", otherInstance.someMethodOnIt)

istead of
widget.subscribeEvent("EventName", "someMethodOnIt", otherInstance)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000555)
Kulik (administrator)
2011-05-29 01:52

Fixed in f12a040fd0b3 mercurial

- Issue History
Date Modified Username Field Change
2011-05-27 11:25 Kulik New Issue
2011-05-28 10:44 Kulik Assigned To => Kulik
2011-05-28 10:44 Kulik Status new => assigned
2011-05-29 01:52 Kulik Note Added: 0000555
2011-05-29 01:52 Kulik Status assigned => resolved
2011-05-29 01:52 Kulik Resolution open => fixed
2011-05-29 01:52 Kulik Fixed in Version 0.8.3 => 0.8.0
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker